<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 3/11/23
/*! 
 * \file
 * \brief transform to a card or delete request
 * Param received
@verbatim
  'ac' => string 'EXT/FVAL' (length=8)
  'plugin_code' => string 'FVAL' (length=4)
  'gDossier' => string '111' (length=3)
  'act' => string 'save_request_detail' (length=19)
  'request_id' => string '6' (length=1)
  'boxid' => string 'request_detail_div' (length=18)
  'value3' => string 'test' (length=4)
  'value4' => string 'dany@alchimerys.be' (length=18)
  'value5' => string 'BE044444' (length=8)
  'choice' => string '1' (length=1)
@endverbatim
 */
/**
 * @var $http HttpInput inherited
 * @var $cn Database inherited
 */
global $g_user;
if ($g_user->check_module("FVAL") == 0) {
    return;
}
try {
    $request_id = $http->post("request_id", "number");
    $boxid = $http->post("boxid");
    $choice = $http->post("choice");

} catch (\Exception $e) {
    echo $e->getMessage();
    throw $e;
}
$a_drd_id = $cn->get_array("select drd_id,form_detail_id,ad_id 
        from noalyss_form.data_received_raw_detail 
        join noalyss_form.form_detail fd on fd.fd_id = data_received_raw_detail.form_detail_id
where data_received_raw_id=$1
        ", [$request_id]);

if (empty ($a_drd_id)) return;

$array = [];

// save and transform as a card
if ($choice == 1) {
    $cn->start();
    $cat = -1;
    foreach ($a_drd_id as $drd_id) {
        $value = $http->post("value" . $drd_id['drd_id'], "string", null);

        // save in DB
        $cn->exec_sql("update noalyss_form.data_received_raw_detail set drd_post_value=$1 where drd_id=$2",
            [$value, $drd_id['drd_id']]);

        // build the card
        $array['av_text' . $drd_id['ad_id']] = $value;
        if ( $cat == -1 ) {
            $cat=$cn->get_value("select fiche_def_id from 
                        noalyss_form.form f1 
                            join noalyss_form.form_detail fd1 on f1.f_id = fd1.form_id
                            where fd1.fd_id = $1",[$drd_id['form_detail_id']]);
        }
    }
    if ( $cat == - 1||$cat == "") {
        throw \Exception ("ASR82. Aucune catégorie");
    }
    $card=new \Fiche($cn);

    $card->insert($cat,$array);
    $cn->exec_sql("update noalyss_form.data_received_raw set dr_status=1, fiche_id=$2 where dr_id=$1",[$request_id,$card->id]);
    $cn->commit();

    return;
}
if ( $choice == 2) {
    $cn->exec_sql("delete from noalyss_form.data_received_raw where dr_id=$1",[$request_id]);
}
