<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 1/11/23
/*! 
 * \file
 * \brief display a form
 * \see \Noalyss\Forms\Form::display()
 *
 */
\Noalyss\Dbg::echo_file(__FILE__);
global $cn, $gDossier, $g_plugin, $g_access, $g_dir_nform, $g_http;
$form = new \Noalyss\Forms\Form_SQL($cn, $this->form_id);

$form_token = new \IText("token", $form->getp("f_token"));
$form_token->require = true;
$form_title = new \IText("form_title", $form->getp("f_title"));
$form_title->require = true;
$form_description = new \ITextArea("form_description", $form->getp("f_description"));
$form_allow = new \IText("form_allow", $form->getp("f_url_allow"));
$form_success = new \IText("form_success", $form->getp("f_url_success"));
$form_fail = new \IText("form_fail", $form->getp("f_url_fail"));
$form_cat_fiche = new ISelect("fiche_def");
$form_cat_fiche->value = $cn->make_array("select fd_id,fd_label from fiche_def order by fd_label");
$form_cat_fiche->selected = $form->getp("fiche_def_id");
$form_allow->size = 80;
$form_success->size = 80;
$form_fail->size = 80;
if ($this->form_id == -1) {
    $form_token->value = uniqid("token");
}

$style = ' class="input_text p-2"';
$form_title->autofocus = true;

$form_token->style = 'class="input_text form-control w-50"';
$form_title->style = 'class="input_text form-control w-50"';
$form_allow->style = $style;
$form_success->style = $style;
$form_fail->style = $style;
$form_description->style = 'class="input_text form-control w-50"';

$form_title->placeholder = "Titre du formulaire";
$form_allow->placeholder = "https://your-website/enregistrement.html";
$form_success->placeholder = "https://your-website/success.html";
$form_fail->placeholder = "https://your-website/fail.html";


?>
<div class="content">
    <h1> Formulaire</h1>


    <label for="token">Token</label>
    <small class="text-muted">Ce jeton sera utilisé dans la Redirection </small>

    <?= $form_token->input() ?>

    <label for="form_title">Titre</label>
    <?= $form_title->input() ?>
    <div class="w-100">
        <label for="form_description">Description</label>
        <?= $form_description->input() ?>
    </div>
</div>
<div class="row m-0" >


    <div class="col-4">

        <label for="form_allow">Accepté depuis l'IP</label>

        <small class="text-muted">Uniquement les demandes depuis cette adresse seront considérées, laissez à vide
            pour ne pas avoir cette sécurité</small>

    </div>
    <div class="col-3">

        <?= $form_allow->input() ?>
    </div>

</div>

<div class="row m-0">
    <div class="col-4">

        <label for="form_success">Redirection en cas de succès</label>
        <small class="text-muted">Si l'enregistrement est réussi, vous serez redirigé vers cette adresse avec le jeton
            comme
            paramètre </small>

    </div>
    <div class="col-3">
        <?= $form_success->input() ?>

    </div>
</div>

<div class="row m-0">
    <div class="col-4">
        <label for="form_fail">Redirection en cas d'échec</label>
        <small class="text-muted">Si l'enregistrement n'a pas réussi, vous serez redirigé vers cette adresse avec le
            jeton
            comme paramètre </small>

    </div>
    <div class="col-3">
        <?= $form_fail->input() ?>
    </div>

</div>

<div class="row m-0">
    <div class="col-4">
        <label for="fiche_def">Catégorie de fiche</label>
        <small class="text-muted">Après validation, les données seront enregistrées dans ces fiches</small>
    </div>
    <div class="col-3">
        <?= $form_cat_fiche->input() ?>

    </div>

</div>
