<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 1/11/23
/*! 
 * \file
 * \brief display a list of forms
 * inherited parameter :
 *     * $a_form_sql array of Form_SQL object
 *
 * \see \Noalyss\Forms\Form::display_list()
 */
\Noalyss\Dbg::echo_file(__FILE__);
global $cn,$gDossier,$g_plugin,$g_access,$g_dir_nform,$g_http;
if (empty($a_form_sql)) {
    echo_warning(_("Aucun formulaire"));
    return;
}
echo \HtmlInput::filter_table("form_list_tb", '1,2,3', '1');
?>
<table class="result" id="form_list_tb">
    <tr>
        <th>
            token
        </th>
        <th>
            Nom
        </th>
        <th>
            Description
        </th>

    </tr>
    <?php
    $idx=0;
    foreach ($a_form_sql as $form) :
        $class=($idx%2==0)?'even':'odd';
        $idx++;
        $url=http_build_query(["ac"=>$g_access,'plugin_code'=>$g_plugin,"gDossier"=>$gDossier,"form_id"=>$form->getp('f_id')]);
    ?>
    <tr class="<?=$class?>">
        <td>
            <a href="?<?=$url?>">
            <?=$form->getp('f_token')?>
            </a>
        </td>
        <td>
            <?=$form->getp('f_title')?>
        </td>
        <td>
            <?=$form->getp('f_description')?>
        </td>
    </tr>
    <?php
    endforeach;
    ?>
</table>
